🧪 Get Resource Operation
Get a single resource operation and its logs by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
connection_id
The unique identifier of the connection.
resource_operation_id
The unique identifier of the resource operation.
Response
Successful Response
id
Unique identifier for the resource operation.
created_at
Timestamp when the resource operation was created.
updated_at
Timestamp when the resource operation was last updated.
partner_id
The ID of the partner that owns this operation.
connection_id
The ID of the connection associated with this operation.
source_name
The source name of the operation.
resource
The type of resource to operate on (e.g., vehicle, driver, hos_event).
operation_type
The type of operation to perform (e.g., create, update).
Allowed values:
status
The current status of the operation.
Allowed values:
payload
The payload of the operation, containing the resource attributes to be created or updated.
fleet_ref
The reference of the fleet in the partner's system.
resource_id
Unique identifier of the resource in Catena Telematics. Can be null if the operation is pending or failed.
source_id
Unique identifier of the record in the TSP. Can be null if the operation is pending or failed.
logs
Log entries for each attempt to execute this operation.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error